buildroot/package/chrony/S49chrony
Peter Korsgaard 424db89a26 chrony: S49chrony: drop /etc/chrony.conf check
With CHRONY_ARGS in /etc/default/chrony, chrony may asked to use an
alternative configuration file (with the -f option), so drop the explicit
/etc/chrony.conf check.

In case the configuration file isn't present chrony will anyway loudly
complain which is preferable to this silent failure:

chronyd -f /non/existing/file.conf
Could not open configuration file /non/existing/file.conf : No such file or directory

Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Acked-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2018-05-28 20:20:59 +02:00

27 lines
390 B
Bash
Executable file

#!/bin/sh
#
# Start chrony
[ -r /etc/default/chrony ] && . /etc/default/chrony
case "$1" in
start)
printf "Starting chrony: "
chronyd $CHRONY_ARGS && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping chrony: "
killall chronyd && echo "OK" || echo "FAIL"
;;
restart|reload)
"$0" stop
sleep 1
"$0" start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?